Bug 49210 - Install gets No such file
Summary: Install gets No such file
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-16 23:00 UTC by Delaine Schneider
Modified: 2007-04-18 16:34 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-17 14:56:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Delaine Schneider 2001-07-16 23:00:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; MSN 2.5; Windows 98)

Description of problem:
Install receives an anaconda dump that says no such file or directory 
for '/mnt/source/RedHat/RPMS/gtop-1.0.9-4.i386.rpm'.

How reproducible:
Didn't try


Additional info:

Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in 
run
    rc = apply (step[1](), step[2])
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 507, in 
__call__
    if todo.doInstall ():
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1543, in 
doInstall
    self.instCallback, p)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1298, in 
instCallback
    self.rpmFD = os.open(fn, os.O_RDONLY)
OSError: [Errno 2] No such file or 
directory: '/mnt/source/RedHat/RPMS/gtop-1.0.9-4.i386.rpm'

Local variables in innermost frame:
fn: /mnt/source/RedHat/RPMS/gtop-1.0.9-4.i386.rpm
total: 0
self: <todo.ToDo instance at 827c7b0>
h: <header object at 8851e08>
amount: 0
intf: <text.InstallProgressWindow instance at 8f29658>
what: 2

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'currentDisc'
p6
I1
sS'tree'
p7
S'/mnt/source'
sS'device'
p8
S'hdc'
sS'progressWindow'
p9

<failed>

Comment 1 Brent Fox 2001-07-17 14:56:05 UTC
That file should definately be there on the cd.  There must be something wrong
with the cd.  I would re-download the ISO's and try again.  Please reopen the
bug if that doesn't fix the problem.


Note You need to log in before you can comment on or make changes to this bug.